Try ERPNext Buy Support Partners Foundation

Error when launch bench migrate after bench setup production

hi, i have installed erpnext on ubuntu 20.04 but i ahve a problem with setup production and bench migrate.
it is a log:

Migrating site1.local
Updating DocTypes for frappe : [========================================]
Updating DocTypes for erpnext : [========================================]
Updating customizations for Address
Traceback (most recent call last):
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/connection.py”, line 484, in connect
sock = self._connect()
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/connection.py”, line 541, in _connect
raise err
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/connection.py”, line 529, in _connect
sock.connect(socket_address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/client.py”, line 667, in execute_command
connection.send_command(*args)
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/connection.py”, line 610, in send_command
self.send_packed_command(self.pack_command(*args))
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/connection.py”, line 585, in send_packed_command
self.connect()
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/connection.py”, line 489, in connect
raise ConnectionError(self._error_message(e))
redis.exceptions.ConnectionError: Error 111 connecting to localhost:13000. Connection refused.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/connection.py”, line 484, in connect
sock = self._connect()
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/connection.py”, line 541, in _connect
raise err
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/connection.py”, line 529, in _connect
sock.connect(socket_address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.8/runpy.py”, line 193, in _run_module_as_main
return _run_code(code, main_globals, None,
File “/usr/lib/python3.8/runpy.py”, line 86, in _run_code
exec(code, run_globals)
File “/opt/bench/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 97, in
main()
File “/opt/bench/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main
click.Group(commands=commands)(prog_name=‘bench’)
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/click/core.py”, line 764, in call
return self.main(*args, **kwargs)
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/click/core.py”, line 717, in main
rv = self.invoke(ctx)
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/click/core.py”, line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/click/core.py”, line 555, in invoke
return callback(*args, **kwargs)
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/click/decorators.py”, line 17, in new_func
return f(get_current_context(), *args, **kwargs)
File “/opt/bench/frappe-bench/apps/frappe/frappe/commands/init.py”, line 25, in _func
ret = f(frappe._dict(ctx.obj), *args, **kwargs)
File “/opt/bench/frappe-bench/apps/frappe/frappe/commands/site.py”, line 253, in migrate
migrate(context.verbose, rebuild_website=rebuild_website, skip_failing=skip_failing)
File “/opt/bench/frappe-bench/apps/frappe/frappe/migrate.py”, line 62, in migrate
global_search.update_global_search_for_all_web_pages()
File “/opt/bench/frappe-bench/apps/frappe/frappe/utils/global_search.py”, line 280, in update_global_search_for_all_web_pages
sync_global_search()
File “/opt/bench/frappe-bench/apps/frappe/frappe/utils/global_search.py”, line 361, in sync_global_search
while frappe.cache().llen(‘global_search_queue’) > 0:
File “/opt/bench/frappe-bench/apps/frappe/frappe/utils/redis_wrapper.py”, line 141, in llen
return super(RedisWrapper, self).llen(self.make_key(key))
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/client.py”, line 1325, in llen
return self.execute_command(‘LLEN’, name)
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/client.py”, line 673, in execute_command
connection.send_command(*args)
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/connection.py”, line 610, in send_command
self.send_packed_command(self.pack_command(*args))
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/connection.py”, line 585, in send_packed_command
self.connect()
File “/opt/bench/frappe-bench/env/lib/python3.8/site-packages/redis/connection.py”, line 489, in connect
raise ConnectionError(self._error_message(e))
redis.exceptions.ConnectionError: Error 111 connecting to localhost:13000. Connection refused.

any help ? thanks in advance ( sorry for may bad english)

launch bench start in an other window terminal the migrate bench work fine but the setup production failed:

sudo bench setup production erpnext
supervisor.conf already exists and this will overwrite it. Do you want to continue? [y/N]: y
nginx.conf already exists and this will overwrite it. Do you want to continue? [y/N]: y
Port configuration list:

Site site1.local assigned port: 80
$ sudo /usr/bin/supervisorctl reread
error: <class ‘ConnectionRefusedError’>, [Errno 111] Connection refused: file: /usr/lib/python3.8/socket.py line: 796
$ sudo /usr/bin/supervisorctl update
error: <class ‘ConnectionRefusedError’>, [Errno 111] Connection refused: file: /usr/lib/python3.8/socket.py line: 796
nginx: the configuration file /etc/nginx/nginx.conf syntax is ok
nginx: configuration file /etc/nginx/nginx.conf test is successful
$ sudo systemctl reload nginx

PS bench update not run for a problem with frappe apps:
bench update
Backing up sites…

Cannot proceed with update: You have local changes in app “frappe” that are not committed.

Here are your choices:

  1. Merge the frappe app manually with “git pull” / “git pull --rebase” and fix conflicts.
  2. Temporarily remove your changes with “git stash” or discard them completely
    with “bench update --reset” or for individual repositries “git reset --hard”
  3. If your changes are helpful for others, send in a pull request via GitHub and
    wait for them to be merged in the core.

i have lanch bench update --reset but not resolve the problem